epp_ContactTransferReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.contact.epp_ContactTransferReq class

### org.openrtk.idl.epp0705.contact

# Class epp_ContactTransferReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.contact.epp_ContactTransferReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactTransferReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to transfer a contact in the registry or to query the transfer status from the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/contact/epp_ContactTransferReq.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPContactTransfer`, `epp_ContactTransferRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_id` The identifier for the contact object for the transfer request.
  `epp_TransferRequest` | `m_trans` The common and gereric transfer request element.

  ## Constructor Summary
  `epp_ContactTransferReq()` Empty constructor
  `epp_ContactTransferReq(epp_Command _m_cmd, epp_TransferRequest _m_trans, String _m_id)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getId()` Accessor method for the identifier for the contact object
  `String` | `getRoid()` Deprecated.
  `epp_TransferRequest` | `getTrans()` Accessor method for the common and gereric transfer request element
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setId(String value)` Accessor method for the identifier for the contact object
  `void` | `setRoid(String value)` Deprecated.
  `void` | `setTrans(epp_TransferRequest value)` Accessor method for the common and gereric transfer request element
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_id

    public String m_id

> The identifier for the contact object for the transfer request.
> See Also:
>   `setId(String)`, `getId()`

### m_trans

    public epp_TransferRequest m_trans

> The common and gereric transfer request element. The element encapsulates the authorization information and the transfer operation type.
> See Also:
>   `setTrans(epp_TransferRequest)`, `getTrans()`

## Constructor Details

### epp_ContactTransferReq

    public epp_ContactTransferReq()

> Empty constructor

### epp_ContactTransferReq

    public epp_ContactTransferReq(epp_Command _m_cmd,
                                  epp_TransferRequest _m_trans,
                                  String _m_id)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_trans` - The common and gereric transfer request element
>   `_m_id` - The identifier for the contact object

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getId

    public String getId()

> Accessor method for the identifier for the contact object
> Returns:
>   The contact id
> See Also:
>   `m_id`

### getRoid

    public String getRoid()

> Deprecated.

> See Also:
>   `getId()`

### getTrans

    public epp_TransferRequest getTrans()

> Accessor method for the common and gereric transfer request element
> Returns:
>   The contact transfer request object
> See Also:
>   `m_trans`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setId

    public void setId(String value)

> Accessor method for the identifier for the contact object
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_id`

### setRoid

    public void setRoid(String value)

> Deprecated.

> See Also:
>   `setId(String)`

### setTrans

    public void setTrans(epp_TransferRequest value)

> Accessor method for the common and gereric transfer request element
> Parameters:
>   `value` - The contact transfer request object
> See Also:
>   `m_trans`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS